Bug 165820 - [PATCH] x11-toolkits/libXaw: Respect NOPORTDOCS env var
Summary: [PATCH] x11-toolkits/libXaw: Respect NOPORTDOCS env var
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-07 15:50 UTC by Michael Scheidell
Modified: 2012-05-08 20:10 UTC (History)
0 users

See Also:


Attachments
pr_165820.patch (2.22 KB, patch)
2012-03-23 23:27 UTC, Michael Scheidell
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Scheidell freebsd_committer 2012-03-07 15:50:07 UTC
libXaw will install 646K of docs in the ../doc/libXaw directory, even if NOPORTDOCS defined.
du -ch
 du -ch /usr/local/share/doc/libXaw
646K	/usr/local/share/doc/libXaw
646K	total

(any chance of getting this in for 8.3, before the ports slush? or is the x11 bunch busy with last minuite 'enhancements'?
This should be an easy patch to apply and test.

Fix: I do not believe a portsrevision bump is needed, since the docs don't harm anything, and when OP upgrades/updates system, 
pkg-plist will delete old files for him.

with the patch:
du -ch /usr/local/share/doc/libXaw
du: /usr/local/share/doc/libXaw: No such file or directory
  0B	total

logs:
with portdocs: (!defined):
<http://lorie.secnap.net/tb/logs/7-scheidell_I386/libXaw-1.0.8,2.log>

with noportdocs defined:
<http://lorie.secnap.net/tb/logs/7-SECNAP_AMD64/libXaw-1.0.8,2.log>

- Respect NOPORTDOCS
- No PORTREVISION bump



______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________--lBPLtsf1NsDBdCuZtqSeM1fOWEkZr5nCcAvL8aiSSsPLXyzg
Content-Type: text/plain; name="libXaw.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="libXaw.patch"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-toolkits/libXaw/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- Makefile	7 Feb 2012 01:18:20 -0000	1.28
+++ Makefile	7 Mar 2012 15:40:12 -0000
@@ -18,6 +18,12 @@
 USE_GMAKE=	yes
 CONFIGURE_ARGS+=--without-xmlto
 
+.if defined(NOPORTDOCS)
+CONFIGURE_ARGS+=--disable-specs
+post-configure:
+	@${REINPLACE_CMD} -e '/AM_MAKEFLAGS/s/ install-exec-am install-data-am/ install-exec-am/' ${WRKSRC}/specs/Makefile
+.endif
+
 MAN3=		Xaw.3
 
 .include <bsd.port.mk>
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/x11-toolkits/libXaw/pkg-plist,v
retrieving revision 1.8
diff -u -r1.8 pkg-plist
--- pkg-plist	25 Feb 2011 16:52:50 -0000	1.8
+++ pkg-plist	7 Mar 2012 15:40:12 -0000
@@ -82,51 +82,51 @@
 lib/libXaw7.so.7
 libdata/pkgconfig/xaw6.pc
 libdata/pkgconfig/xaw7.pc
-%%DOCSDIR%%/AsciiSink.xml
-%%DOCSDIR%%/AsciiSource.xml
-%%DOCSDIR%%/AsciiText.xml
-%%DOCSDIR%%/Box.xml
-%%DOCSDIR%%/CH1.xml
-%%DOCSDIR%%/CH2.xml
-%%DOCSDIR%%/CH3.xml
-%%DOCSDIR%%/CH4.xml
-%%DOCSDIR%%/CH5.xml
-%%DOCSDIR%%/CH6.xml
-%%DOCSDIR%%/CH7.xml
-%%DOCSDIR%%/Command.xml
-%%DOCSDIR%%/Dialog.xml
-%%DOCSDIR%%/Form.xml
-%%DOCSDIR%%/Grip.xml
-%%DOCSDIR%%/Label.xml
-%%DOCSDIR%%/List.xml
-%%DOCSDIR%%/MenuButton.xml
-%%DOCSDIR%%/Paned.xml
-%%DOCSDIR%%/Panner.xml
-%%DOCSDIR%%/Porthole.xml
-%%DOCSDIR%%/Repeater.xml
-%%DOCSDIR%%/Scrollbar.xml
-%%DOCSDIR%%/Simple.xml
-%%DOCSDIR%%/SimpleMenu.xml
-%%DOCSDIR%%/Sme.xml
-%%DOCSDIR%%/SmeBSB.xml
-%%DOCSDIR%%/SmeLine.xml
-%%DOCSDIR%%/StripChart.xml
-%%DOCSDIR%%/TPage_Credits.xml
-%%DOCSDIR%%/Template.xml
-%%DOCSDIR%%/Template_private_header_file.xml
-%%DOCSDIR%%/Template_public_header_file.xml
-%%DOCSDIR%%/Template_widget_source_file.xml
-%%DOCSDIR%%/Text.xml
-%%DOCSDIR%%/TextActions.xml
-%%DOCSDIR%%/TextActions_default_translation_bindings.xml
-%%DOCSDIR%%/TextActions_text_widget_actions.xml
-%%DOCSDIR%%/TextCustom.xml
-%%DOCSDIR%%/TextFuncs.xml
-%%DOCSDIR%%/TextSink.xml
-%%DOCSDIR%%/TextSource.xml
-%%DOCSDIR%%/Toggle.xml
-%%DOCSDIR%%/Tree.xml
-%%DOCSDIR%%/Viewport.xml
-%%DOCSDIR%%/libXaw.xml
-@dirrmtry %%DOCSDIR%%
+%%PORTDOCS%%%%DOCSDIR%%/AsciiSink.xml
+%%PORTDOCS%%%%DOCSDIR%%/AsciiSource.xml
+%%PORTDOCS%%%%DOCSDIR%%/AsciiText.xml
+%%PORTDOCS%%%%DOCSDIR%%/Box.xml
+%%PORTDOCS%%%%DOCSDIR%%/CH1.xml
+%%PORTDOCS%%%%DOCSDIR%%/CH2.xml
+%%PORTDOCS%%%%DOCSDIR%%/CH3.xml
+%%PORTDOCS%%%%DOCSDIR%%/CH4.xml
+%%PORTDOCS%%%%DOCSDIR%%/CH5.xml
+%%PORTDOCS%%%%DOCSDIR%%/CH6.xml
+%%PORTDOCS%%%%DOCSDIR%%/CH7.xml
+%%PORTDOCS%%%%DOCSDIR%%/Command.xml
+%%PORTDOCS%%%%DOCSDIR%%/Dialog.xml
+%%PORTDOCS%%%%DOCSDIR%%/Form.xml
+%%PORTDOCS%%%%DOCSDIR%%/Grip.xml
+%%PORTDOCS%%%%DOCSDIR%%/Label.xml
+%%PORTDOCS%%%%DOCSDIR%%/List.xml
+%%PORTDOCS%%%%DOCSDIR%%/MenuButton.xml
+%%PORTDOCS%%%%DOCSDIR%%/Paned.xml
+%%PORTDOCS%%%%DOCSDIR%%/Panner.xml
+%%PORTDOCS%%%%DOCSDIR%%/Porthole.xml
+%%PORTDOCS%%%%DOCSDIR%%/Repeater.xml
+%%PORTDOCS%%%%DOCSDIR%%/Scrollbar.xml
+%%PORTDOCS%%%%DOCSDIR%%/Simple.xml
+%%PORTDOCS%%%%DOCSDIR%%/SimpleMenu.xml
+%%PORTDOCS%%%%DOCSDIR%%/Sme.xml
+%%PORTDOCS%%%%DOCSDIR%%/SmeBSB.xml
+%%PORTDOCS%%%%DOCSDIR%%/SmeLine.xml
+%%PORTDOCS%%%%DOCSDIR%%/StripChart.xml
+%%PORTDOCS%%%%DOCSDIR%%/TPage_Credits.xml
+%%PORTDOCS%%%%DOCSDIR%%/Template.xml
+%%PORTDOCS%%%%DOCSDIR%%/Template_private_header_file.xml
+%%PORTDOCS%%%%DOCSDIR%%/Template_public_header_file.xml
+%%PORTDOCS%%%%DOCSDIR%%/Template_widget_source_file.xml
+%%PORTDOCS%%%%DOCSDIR%%/Text.xml
+%%PORTDOCS%%%%DOCSDIR%%/TextActions.xml
+%%PORTDOCS%%%%DOCSDIR%%/TextActions_default_translation_bindings.xml
+%%PORTDOCS%%%%DOCSDIR%%/TextActions_text_widget_actions.xml
+%%PORTDOCS%%%%DOCSDIR%%/TextCustom.xml
+%%PORTDOCS%%%%DOCSDIR%%/TextFuncs.xml
+%%PORTDOCS%%%%DOCSDIR%%/TextSink.xml
+%%PORTDOCS%%%%DOCSDIR%%/TextSource.xml
+%%PORTDOCS%%%%DOCSDIR%%/Toggle.xml
+%%PORTDOCS%%%%DOCSDIR%%/Tree.xml
+%%PORTDOCS%%%%DOCSDIR%%/Viewport.xml
+%%PORTDOCS%%%%DOCSDIR%%/libXaw.xml
+%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
 @dirrmtry include/X11/Xaw
How-To-Repeat: 
make -DNOPORTDOCS install
 du -ch /usr/local/share/doc/libXaw
Comment 1 Edwin Groothuis freebsd_committer 2012-03-07 15:50:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Michael Scheidell freebsd_committer 2012-03-19 09:35:51 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 Michael Scheidell freebsd_committer 2012-03-23 23:27:20 UTC
PORTDOCS=* magic as suggested by crees@


-- 
Michael Scheidell, CTO
SECNAP Network Security Corporation
http://people.freebsd.org/~scheidell

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________  
  
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2012-03-24 00:40:52 UTC
State Changed
From-To: feedback->open

awaiting x11 approval
Comment 5 Chris Rees 2012-03-27 20:52:59 UTC
Actually, there's no need to conditionalise PORTDOCS=* if we want to
be really picky.

Chris
Comment 6 Michael Scheidell freebsd_committer 2012-04-22 12:59:09 UTC
Just a fyi, this patch still is needed, and still applies to latest XORG 
update that was just pushed out.
Yes, I understand saving 646K isn't all that big a deal for X11 systems, 
but libXaw is also used in other graphics systems.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 7 Michael Scheidell freebsd_committer 2012-04-30 09:28:59 UTC
Responsible Changed
From-To: freebsd-x11->scheidell

I'll take it.
Comment 8 dfilter service freebsd_committer 2012-05-08 20:01:02 UTC
scheidell    2012-05-08 19:00:52 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/libXaw  Makefile pkg-plist 
  Log:
  - Update Makefile to respect NOPORTDOCS
  - Trim pkg-plist, use PORTDOCS= macro to enable easier updates in the future
  - No PORTREVISION bump since this does not change default package
  
  PR:             ports/165820
  Submitted by:   scheidell@ (me)
  Approved by:    x11 (maintainer, timeout 60 days)
  
  Revision  Changes    Path
  1.30      +8 -0      ports/x11-toolkits/libXaw/Makefile
  1.9       +0 -47     ports/x11-toolkits/libXaw/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Michael Scheidell freebsd_committer 2012-05-08 20:01:44 UTC
State Changed
From-To: feedback->closed

Committed.